Skip to content

# Class: SecretsStore

## Hierarchy

↳ KubeObjectStore‹Secret›

↳ SecretsStore

## Index

### Constructors

- constructor

### Properties

- api
- bufferSize
- eventsBuffer
- isLoaded
- isLoading
- items
- limit
- selectedItemsIds

### Accessors

- query
- selectedItems

### Methods

- [Symbol.iterator]
- bindWatchEventsUpdater
- create
- createItem
- defaultSorting
- filterItemsOnLoad
- getAllByNs
- getByLabel
- getByName
- getByPath
- getStatuses
- isSelected
- isSelectedAll
- load
- loadAll
- loadFromPath
- loadItem
- loadItems
- onWatchApiEvent
- remove
- removeItem
- removeSelectedItems
- reset
- resetSelection
- select
- sortItems
- subscribe
- toggleSelection
- toggleSelectionAll
- unselect
- update
- updateFromEventsBuffer
- updateItem

## Constructors

### constructor

+ new SecretsStore(): SecretsStore

Inherited from KubeObjectStore.constructor

Defined in src/renderer/kube-object.store.ts:15

Returns: SecretsStore

## Properties

### api

• api: KubeApi‹Secret‹›› = secretsApi

Overrides KubeObjectStore.api

Defined in src/renderer/components/+config-secrets/secrets.store.ts:8

### bufferSize

• bufferSize: number = 50000

Inherited from KubeObjectStore.bufferSize

Defined in src/renderer/kube-object.store.ts:15

### `Protected` eventsBuffer

• eventsBuffer: IObservableArray‹IKubeWatchEvent‹KubeJsonApiData›› = observable>([], { deep: false })

Inherited from KubeObjectStore.eventsBuffer

Defined in src/renderer/kube-object.store.ts:172

### isLoaded

• isLoaded: boolean = false

Inherited from KubeObjectStore.isLoaded

Defined in src/renderer/item.store.ts:17

### isLoading

• isLoading: boolean = false

Inherited from KubeObjectStore.isLoading

Defined in src/renderer/item.store.ts:16

### items

• items: IObservableArray‹T› = observable.array([], { deep: false })

Inherited from KubeObjectStore.items

Defined in src/renderer/item.store.ts:18

### `Optional` limit

• limit? : number

Inherited from KubeObjectStore.limit

Defined in src/renderer/kube-object.store.ts:14

### selectedItemsIds

• selectedItemsIds: ObservableMap‹string, boolean› = observable.map()

Inherited from KubeObjectStore.selectedItemsIds

Defined in src/renderer/item.store.ts:19

## Accessors

### query

• get query(): IKubeApiQueryParams

Inherited from KubeObjectStore.query

Defined in src/renderer/kube-object.store.ts:23

Returns: IKubeApiQueryParams

### selectedItems

• get selectedItems(): Secret[]

Inherited from KubeObjectStore.selectedItems

Defined in src/renderer/item.store.ts:21

Returns: Secret[]

## Methods

### [Symbol.iterator]

▸ [Symbol.iterator](): Generator‹T, void, undefined›

Inherited from KubeObjectStore.[Symbol.iterator]

Defined in src/renderer/item.store.ts:178

Returns: Generator‹T, void, undefined›

### `Protected` bindWatchEventsUpdater

▸ bindWatchEventsUpdater(`delay`: number): IReactionDisposer

Inherited from KubeObjectStore.bindWatchEventsUpdater

Defined in src/renderer/kube-object.store.ts:174

Parameters:

Name | Type | Default
--- | --- | ---
`delay` | number | 1000

Returns: IReactionDisposer

### create

▸ create(`params`: object, `data?`: Partial‹Secret›): Promise‹Secret›

Inherited from KubeObjectStore.create

Defined in src/renderer/kube-object.store.ts:143

Parameters:

▪ params: object

Name | Type
--- | ---
`name` | string
`namespace?` | string

▪`Optional` data: Partial‹Secret›

Returns: Promise‹Secret›

### `Protected` createItem

▸ createItem(`params`: object, `data?`: Partial‹Secret›): Promise‹Secret›

Inherited from KubeObjectStore.createItem

Overrides void

Defined in src/renderer/kube-object.store.ts:139

Parameters:

▪ params: object

Name | Type
--- | ---
`name` | string
`namespace?` | string

▪`Optional` data: Partial‹Secret›

Returns: Promise‹Secret›

### `Protected` defaultSorting

▸ defaultSorting(`item`: Secret): string

Inherited from KubeObjectStore.defaultSorting

Defined in src/renderer/item.store.ts:14

Parameters:

Name | Type
--- | ---
`item` | Secret

Returns: string

### `Protected` filterItemsOnLoad

▸ filterItemsOnLoad(`items`: Secret[]): T[]

Inherited from KubeObjectStore.filterItemsOnLoad

Defined in src/renderer/kube-object.store.ts:84

Parameters:

Name | Type
--- | ---
`items` | Secret[]

Returns: T[]

### getAllByNs

▸ getAllByNs(`namespace`: string | string[], `strict`: boolean): Secret[]

Inherited from KubeObjectStore.getAllByNs

Defined in src/renderer/kube-object.store.ts:35

Parameters:

Name | Type | Default
--- | --- | ---
`namespace` | string | string[] | -
`strict` | boolean | false

Returns: Secret[]

### getByLabel

▸ getByLabel(`labels`: string[] | object): Secret[]

Inherited from KubeObjectStore.getByLabel

Defined in src/renderer/kube-object.store.ts:57

Parameters:

Name | Type
--- | ---
`labels` | string[] | object

Returns: Secret[]

### getByName

▸ getByName(`name`: string, `namespace?`: string): Secret

Inherited from KubeObjectStore.getByName

Overrides void

Defined in src/renderer/kube-object.store.ts:45

Parameters:

Name | Type
--- | ---
`name` | string
`namespace?` | string

Returns: Secret

### getByPath

▸ getByPath(`path`: string): Secret

Inherited from KubeObjectStore.getByPath

Defined in src/renderer/kube-object.store.ts:53

Parameters:

Name | Type
--- | ---
`path` | string

Returns: Secret

### `Optional` getStatuses

▸ getStatuses(`items`: Secret[]): Record‹string, number›

Inherited from KubeObjectStore.getStatuses

Defined in src/renderer/kube-object.store.ts:33

Parameters:

Name | Type
--- | ---
`items` | Secret[]

Returns: Record‹string, number›

### isSelected

▸ isSelected(`item`: Secret): boolean

Inherited from KubeObjectStore.isSelected

Defined in src/renderer/item.store.ts:115

Parameters:

Name | Type
--- | ---
`item` | Secret

Returns: boolean

### isSelectedAll

▸ isSelectedAll(`visibleItems`: Secret[]): boolean

Inherited from KubeObjectStore.isSelectedAll

Defined in src/renderer/item.store.ts:151

Parameters:

Name | Type | Default
--- | --- | ---
`visibleItems` | Secret[] | this.items

Returns: boolean

### load

▸ load(`params`: object): Promise‹Secret›

Inherited from KubeObjectStore.load

Defined in src/renderer/kube-object.store.ts:118

Parameters:

▪ params: object

Name | Type
--- | ---
`name` | string
`namespace?` | string

Returns: Promise‹Secret›

### loadAll

▸ loadAll(): Promise‹void›

Inherited from KubeObjectStore.loadAll

Overrides void

Defined in src/renderer/kube-object.store.ts:89

Returns: Promise‹void›

### loadFromPath

▸ loadFromPath(`resourcePath`: string): Promise‹T›

Inherited from KubeObjectStore.loadFromPath

Defined in src/renderer/kube-object.store.ts:133

Parameters:

Name | Type
--- | ---
`resourcePath` | string

Returns: Promise‹T›

### `Protected` loadItem

▸ loadItem(`params`: object): Promise‹Secret›

Inherited from KubeObjectStore.loadItem

Overrides void

Defined in src/renderer/kube-object.store.ts:113

Parameters:

▪ params: object

Name | Type
--- | ---
`name` | string
`namespace?` | string

Returns: Promise‹Secret›

### `Protected` loadItems

▸ loadItems(`allowedNamespaces?`: string[]): Promise‹Secret[]›

Inherited from KubeObjectStore.loadItems

Overrides void

Defined in src/renderer/kube-object.store.ts:74

Parameters:

Name | Type
--- | ---
`allowedNamespaces?` | string[]

Returns: Promise‹Secret[]›

### `Protected` onWatchApiEvent

▸ onWatchApiEvent(`evt`: IKubeWatchEvent): void

Inherited from KubeObjectStore.onWatchApiEvent

Defined in src/renderer/kube-object.store.ts:184

Parameters:

Name | Type
--- | ---
`evt` | IKubeWatchEvent

Returns: void

### remove

▸ remove(`item`: Secret): Promise‹void›

Inherited from KubeObjectStore.remove

Defined in src/renderer/kube-object.store.ts:161

Parameters:

Name | Type
--- | ---
`item` | Secret

Returns: Promise‹void›

### `Protected` removeItem

▸ removeItem(`item`: Secret, `request`: function): Promise‹void›

Inherited from KubeObjectStore.removeItem

Defined in src/renderer/item.store.ts:109

Parameters:

▪ item: Secret

▪ request: function

▸ (): Promise‹any›

Returns: Promise‹void›

### removeSelectedItems

▸ removeSelectedItems(): Promise‹void[]›

Inherited from KubeObjectStore.removeSelectedItems

Overrides void

Defined in src/renderer/kube-object.store.ts:167

Returns: Promise‹void[]›

### reset

▸ reset(): void

Inherited from KubeObjectStore.reset

Defined in src/renderer/item.store.ts:163

Returns: void

### resetSelection

▸ resetSelection(): void

Inherited from KubeObjectStore.resetSelection

Defined in src/renderer/item.store.ts:158

Returns: void

### select

▸ select(`item`: Secret): void

Inherited from KubeObjectStore.select

Defined in src/renderer/item.store.ts:120

Parameters:

Name | Type
--- | ---
`item` | Secret

Returns: void

### `Protected` sortItems

▸ sortItems(`items`: Secret[], `sorting?`: function[], `order?`: "asc" | "desc"): Secret[]

Inherited from KubeObjectStore.sortItems

Defined in src/renderer/item.store.ts:31

Parameters:

Name | Type | Default
--- | --- | ---
`items` | Secret[] | this.items
`sorting?` | function[] | -
`order?` | "asc" | "desc" | -

Returns: Secret[]

### subscribe

▸ subscribe(`apis`: KubeApi‹T›[]): (Anonymous function)

Inherited from KubeObjectStore.subscribe

Overrides void

Defined in src/renderer/kube-object.store.ts:180

Parameters:

Name | Type | Default
--- | --- | ---
`apis` | KubeApi‹T›[] | [this.api]

Returns: (Anonymous function)

### toggleSelection

▸ toggleSelection(`item`: Secret): void

Inherited from KubeObjectStore.toggleSelection

Defined in src/renderer/item.store.ts:130

Parameters:

Name | Type
--- | ---
`item` | Secret

Returns: void

### toggleSelectionAll

▸ toggleSelectionAll(`visibleItems`: Secret[]): void

Inherited from KubeObjectStore.toggleSelectionAll

Defined in src/renderer/item.store.ts:140

Parameters:

Name | Type | Default
--- | --- | ---
`visibleItems` | Secret[] | this.items

Returns: void

### unselect

▸ unselect(`item`: Secret): void

Inherited from KubeObjectStore.unselect

Defined in src/renderer/item.store.ts:125

Parameters:

Name | Type
--- | ---
`item` | Secret

Returns: void

### update

▸ update(`item`: Secret, `data`: Partial‹Secret›): Promise‹Secret›

Inherited from KubeObjectStore.update

Defined in src/renderer/kube-object.store.ts:152

Parameters:

Name | Type
--- | ---
`item` | Secret
`data` | Partial‹Secret›

Returns: Promise‹Secret›

### `Protected` updateFromEventsBuffer

▸ updateFromEventsBuffer(): void

Inherited from KubeObjectStore.updateFromEventsBuffer

Defined in src/renderer/kube-object.store.ts:190

Returns: void

### `Protected` updateItem

▸ updateItem(`item`: Secret, `request`: function): Promise‹T›

Inherited from KubeObjectStore.updateItem

Defined in src/renderer/item.store.ts:99

Parameters:

▪ item: Secret

▪ request: function

▸ (): Promise‹Secret›

Returns: Promise‹T›